<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Selector(選擇器)</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
</head>

<body align="center">
    <button>Text</button>
    <p id="mId">Text</p>
    <p name="mName">Text</p>
    <p class="mClass">Text</p>

    <p class="mGroup">Text</p>
    <p class="mGroup">Text</p>
    <p class="mGroup">Text</p>

    <div id="div01">
        <p id="p01"><span id="span01">Text</span></p>
    </div>

    <div id="div02">
        <p id="p02"><span id="span02">Text</span></p>
    </div>

    <div id="div03">
        <p class="p03"><span class="span03">Text</span></p>
    </div>
    <div id="div04">
        <p class="p04">
            <span class="span041">Text</span>
            <span class="span042">Text</span>
            <span class="span043">Text</span>
        </p>
    </div>
    
    <div id="div05">
        <span>Text</span>
        <span id="span05">Text</span>
        <span>Text</span>
    </div>
    
    <p id="mark" class="mark">還有更多，但使用率不高</p>

    <script>
        $(function() {
            $('button').text("Button");
            $('#mId').text("ID");
            $('[name="mName"]').text("NAME");
            $('.mClass').text("CLASS");
            $(".mGroup*").text("Group");

            $("#div01 #p01 #span01").text("DIV>P>SPAN");
            $("#div02").find("#p02").find("#span02").text("DIV>P>SPAN"); // find()
            $("div").eq(2).find(".p03 .span03").text("DIV>P>SPAN"); // eq()
            $("#div04 p span").filter(".span042").text("Test");
            $("#div05 #span05").next("span").text("Next");
            $("#div05 #span05").prev("span").text("Prev");
            
            $("#mId, .mark").css("background", "yellow");
            
        })

    </script>
</body>

</html>
